### Hierarchy

- EventTarget
  - TextTrackCue
    - DataCue
    - VTTCue

## Index

### Properties

- EventTarget
- endTime
- id
- onenter
- onexit
- pauseOnExit
- startTime
- text
- track

### Methods

- addEventListener
- dispatchEvent
- getCueAsHTML
- removeEventListener

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### endTime

endTime: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14886

### id

id: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14887

### onenter

onenter: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14888

### onexit

onexit: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14889

### pauseOnExit

pauseOnExit: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14890

### startTime

startTime: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14891

### text

text: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14892

### track

track: TextTrack

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14893

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14895

  #### Type parameters

  - #### K: keyof TextTrackCueEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: TextTrackCue, ev: TextTrackCueEventMap[K]): any

      - #### Parameters

        - ##### this: TextTrackCue

        - ##### ev: TextTrackCueEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14896

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### getCueAsHTML

- getCueAsHTML(): DocumentFragment

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14894

  #### Returns DocumentFragment

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14897

  #### Type parameters

  - #### K: keyof TextTrackCueEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: TextTrackCue, ev: TextTrackCueEventMap[K]): any

      - #### Parameters

        - ##### this: TextTrackCue

        - ##### ev: TextTrackCueEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14898

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

Generated using TypeDoc